dnl version $Id: ac_dmtoffline.m4 6520 2011-11-01 19:24:44Z john.zweizig@LIGO.ORG $
dnl -*- m4 -*-
dnl----------------------------------------------------------------------
dnl This is a common set of macros to be used in the configuration of
dnl	the low latency data service
dnl----------------------------------------------------------------------

dnl======================================================================
dnl L3D2_CHECK_GDS
dnl   Check if GDS is installed
dnl======================================================================

AC_DEFUN([AC_L3D2_CHECK_GDS],
[
AC_ARG_WITH(gds,
	    AC_HELP_STRING([--with-gds@<:@=PATH@:>@],
			   [path the the virgoApps-Fd pacage @<:@/usr@:>@]))
case "x$with_gds" in
x)
  if test -d "/usr/include/gds"
  then
    CFLAGS="${CFLAGS} -I/usr/include/gds"
    CXXFLAGS="${CXXFLAGS} -I/usr/include/gds"
  fi
  ;;
xno)
  ;;
*)
  if test -d "${with_gds}/include/gds"
  then
    CFLAGS="${CFLAGS} -I${with_gds}/include/gds"
    CXXFLAGS ="${CXXFLAGS} -I${with_gds}/include/gds"
  fi
  ;;
esac

AC_PATH_PROG(DPUSH, DpushM)
AC_PATH_PROG(FRAMELINK, framelink)
AC_PATH_PROG(LSMPXMIT, lsmp_xmit)
AC_PATH_PROG(FRLOG, Frame_Log)
AC_PATH_PROG(SMCRE, smcreate)
AC_PATH_PROG(SMKILL, smkill)
AC_PATH_PROG(SMREP, smrepair)
AC_PATH_PROG(SMSTAT, smstat)
])

dnl======================================================================
dnl L3D2_CHECK_VIGO
dnl   Check if VIRGO is installed
dnl======================================================================

AC_DEFUN([AC_L3D2_CHECK_VIRGO_APP_FD],
[
AC_ARG_WITH([virgoapp-fd],
	    AC_HELP_STRING([--with-virgoapp-fd@<:@=PATH@:>@],
			   [path the the virgoApp-Fd pacage @<:@/usr@:>@]))

tmp_libbase=`echo ${libdir} | sed -e 's/^.*lib/lib/g'`
case "x$with_virgoapp_fd" in
x|x/usr|x/usr/)
  if test -d "/usr/include/virgoApp"
  then
    CFLAGS="${CFLAGS} -I/usr/include/virgoApp"
    CXXFLAGS="${CXXFLAGS} -I/usr/include/virgoApp"
    LDFLAGS="${LDFLAGS} -L/usr/${tmp_libbase}"
  fi
  ;;
xno)
  ;;
*)
  if test -d "${with_virgoapp_fd}/include/virgoApp"
  then
    CFLAGS="${CFLAGS} -I${with_virgoapp_fd}/include/virgoApp"
    CXXFLAGS="${CXXFLAGS} -I${with_virgoapp_fd}/include/virgoApp"
    LDFLAGS="${LDFLAGS} -L${with_virgoapp_fd}/${tmp_libbase}"
  fi
  ;;
esac

AC_PATH_PROG(FDIOSERVER, FdIOServer.exe)
AC_PATH_PROG(CM,         cm.exe)
])

dnl======================================================================
dnl L3D2_CHECK_USER
dnl   Check if Username specified is installed
dnl======================================================================

AC_DEFUN([AC_L3D2_CHECK_USER],
[
have_user=no
lluser="lluser"
AC_ARG_WITH(user,
	    AC_HELP_STRING([--with-user@<:@=USER@:>@],
			   [server user name @<:@${lluser}@:>@]),
	    [have_user=yes],
	    [have_user=no]
	    )
if test x$have_user = xyes -a ! -z "$with_user"
then
   lluser=$with_user
fi

AC_SUBST(lluser)
])
